React PieChart - commonAnnotationSettings

Specifies settings common for all annotations in the PieChart.

Selector: CommonAnnotationSettings
Type:

Object

Settings specified here can be ignored in favor of individual annotation settings specified in the annotations[] array. Refer to the array's description for information on how to configure annotations.

The following code shows the commonAnnotationSettings declaration syntax:

App.js
  • import React from 'react';
  •  
  • import PieChart, {
  • CommonAnnotationSettings
  • } from 'devextreme-react/pie-chart';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <PieChart ... >
  • <CommonAnnotationSettings
  • tooltipEnabled={false}
  • />
  • </PieChart>
  • );
  • }
  • }
  • export default App;

View Demo

See Also

allowDragging

Specifies whether users can drag and drop the annotation.

Type:

Boolean

Default Value: false

See Also

argument

Positions the annotation relative to a specific argument.

Type:

Number

|

Date

|

String

Default Value: undefined

arrowLength

Specifies the length of the annotation's arrow in pixels.

Type:

Number

Default Value: 14

arrowWidth

Specifies the width of the annotation's arrow at its junction with the annotation rectangle.

Type:

Number

Default Value: 14

DevExtreme Chart: Annotation Arrow

border

Configures the appearance of the annotation's border.

Selector: Border
Type:

Object

color

Specifies the color that fills the annotation.

Type:

String

Default Value: '#ffffff'

This property supports the following colors:

component

An alias for the template property specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.

customizeTooltip

Customizes the text and appearance of the annotation's tooltip.

Type:

Function

Function parameters:
annotation:

PieChart Annotation

| any

The annotation's configuration object.

Return Value:

Object

The tooltip's text or markup and appearance settings.

Default Value: undefined
Cannot be used in themes.

This property should be assigned a function that returns an object with the following fields:

Field name Description
text The tooltip's text.
html The HTML markup displayed in a tooltip.
The PieChart evaluates the markup. Make sure that it does not contain malicious code. Refer to the following help topic for more information: Potentially Vulnerable API - customizeTooltip.
To use external resources (for example, images) in the markup, specify the size of the area they occupy beforehand.
color The tooltip's color.
fontColor The color of the tooltip's text.
borderColor The color of the tooltip's border.
NOTE
As an alternative to the function’s parameter you can use the this keyword.
See Also

data

A container for custom data.

Type: any

description

Specifies the annotation's description in the tooltip.

Type:

String

Default Value: undefined

font

Specifies the annotation's font properties. Applies to text annotations only.

Selector: Font
Type:

Object

height

Specifies the annotation's height in pixels.

Type:

Number

Default Value: undefined

image

Configures the image to be displayed in the annotation. Applies only if the type is "image".

Selector: Image
Type:

String

|

Object

To display an image, assign its URL to the url property and use the height and width properties to resize the image. Otherwise, assign the URL directly to the image property.

View Demo

location

Specifies an annotation's position on the surface of a specific argument.

Type:

String

Default Value: 'center'
Accepted Values: 'center' | 'edge'

offsetX

Moves the annotation horizontally.

Type:

Number

Default Value: undefined

The number assigned to this property specifies the shift in pixels. A negative number shifts the annotation to the left and a positive number shifts it to the right.

See Also

offsetY

Moves the annotation vertically.

Type:

Number

Default Value: undefined

The number assigned to this property specifies the shift in pixels. A negative number shifts the annotation up and a positive number shifts it down.

See Also

opacity

Specifies the annotation's opacity.

Type:

Number

Default Value: 0.9

This property accepts a value from 0 to 1: 0 makes the annotation transparent; 1 makes it opaque.

paddingLeftRight

Used with paddingTopBottom to generate an empty space around the annotation's text or image (specified in pixels).

Type:

Number

Default Value: 10

paddingTopBottom

Along with paddingLeftRight, generates an empty space around the annotation's text or image; specified in pixels.

Type:

Number

Default Value: 10

render

An alias for the template property specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.

series

Anchors the annotation to a series point. Accepts the name of the point's series.

Type:

String

Default Value: undefined

Use this property when the annotation is positioned relative to an argument and the PieChart contains more than one series.

See Also

shadow

Configures the annotation's shadows.

Selector: Shadow
Type:

Object

template

Specifies a custom template for the annotation. Applies only if the type is "custom".

Type:

template

Template Data:

Object

| any

The annotation's configuration object.

Default Name: undefined

text

Specifies the annotation's text. Applies only if the type is "text".

Type:

String

Default Value: undefined

See Also

textOverflow

Specifies what to do with the annotation's text when it overflows the allocated space after applying wordWrap: hide, truncate it and display an ellipsis, or do nothing.

Type:

String

Default Value: 'ellipsis'
Accepted Values: 'ellipsis' | 'hide' | 'none'

tooltipComponent

An alias for the tooltipTemplate property specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.

tooltipEnabled

Specifies whether the annotation tooltip is enabled.

Type:

Boolean

Default Value: true

A tooltip is a miniature rectangle that appears when a user long-presses an annotation or hovers the mouse pointer over it.

DevExtreme PieChart: Annotation Tooltip

The tooltip displays the contents of the description field or the text or markup returned from the customizeTooltip function. If the description is empty, and customizeTooltip returns nothing, the tooltip does not appear.

Tooltips for annotations and series points have the same appearance as specified in the tooltip object. You can use the annotation's customizeTooltip function to customize the annotation tooltip.

tooltipRender

An alias for the tooltipTemplate property specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.

tooltipTemplate

Specifies a custom template for an annotation's tooltip.

Type:

template

Template Data:

PieChart Annotation

| any

The annotation's configuration object.

Default Name: undefined

type

Specifies whether the annotation displays text, an image, or a template. This is a required setting.

Type:

String

Default Value: undefined
Accepted Values: 'text' | 'image' | 'custom'

width

Specifies the annotation's width in pixels.

Type:

Number

Default Value: undefined

wordWrap

Specifies how to wrap the annotation's text if it does not fit into a single line.

Type:

String

Default Value: 'normal'
Accepted Values: 'normal' | 'breakWord' | 'none'

The following modes are available:

  • "normal"
    Text breaks only at allowed breakpoints (for example, a space between two words).

  • "breakWord"
    Words can be broken if there are no available breakpoints in the line.

  • "none"
    Word wrap is disabled.

If the text overflows the container even after word wrap, the UI component applies the textOverflow property.

x

Used with y to position the annotation's center at a specific pixel coordinate. (0, 0) is the upper left corner of the UI component.

Type:

Number

Default Value: undefined

y

Used with x to position the annotation's center at a specific pixel coordinate. (0, 0) is the upper left corner of the UI component.

Type:

Number

Default Value: undefined

Angular PieChart - commonAnnotationSettings

Specifies settings common for all annotations in the PieChart.

Selector: dxo-common-annotation-settings
Type:

Object

Settings specified here can be ignored in favor of individual annotation settings specified in the annotations[] array. Refer to the array's description for information on how to configure annotations.

The following code shows the commonAnnotationSettings declaration syntax:

jQuery
index.js
$(function() {
    $("#pieChart").dxPieChart({
        // ...
        commonAnnotationSettings: {
            tooltipEnabled: false
        }
    });
});
Angular
app.component.html
app.component.ts
app.module.ts
<dx-pie-chart ... >
    <dx-common-annotation-settings
        [tooltipEnabled]="false">
    </dx-common-annotation-settings>
</dx-pie-chart>
import { Component } from '@angular/core';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    // ...
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';

import { DxPieChartModule } from 'devextreme-angular';

@NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        BrowserModule,
        DxPieChartModule
    ],
    providers: [ ],
    bootstrap: [AppComponent]
})
export class AppModule { }
Vue
App.vue
<template>
    <DxPieChart ... >
        <DxCommonAnnotationSettings
            :tooltip-enabled="false"
        />
    </DxPieChart>
</template>

<script>
import DxPieChart, {
    DxCommonAnnotationSettings
} from 'devextreme-vue/pie-chart';

export default {
    components: {
        DxPieChart,
        DxCommonAnnotationSettings
    },
    data() {
        // ...
    }
}
</script>
React
App.js
import React from 'react';

import PieChart, {
    CommonAnnotationSettings
} from 'devextreme-react/pie-chart';

class App extends React.Component {
    render() {
        return (
            <PieChart ... >
                <CommonAnnotationSettings
                    tooltipEnabled={false}
                />
            </PieChart>
        );
    }
}
export default App;

View Demo

See Also

allowDragging

Specifies whether users can drag and drop the annotation.

Type:

Boolean

Default Value: false
See Also

argument

Positions the annotation relative to a specific argument.

Type:

Number

|

Date

|

String

Default Value: undefined

arrowLength

Specifies the length of the annotation's arrow in pixels.

Type:

Number

Default Value: 14

arrowWidth

Specifies the width of the annotation's arrow at its junction with the annotation rectangle.

Type:

Number

Default Value: 14

DevExtreme Chart: Annotation Arrow

border

Configures the appearance of the annotation's border.

Selector: dxo-border
Type:

Object

color

Specifies the color that fills the annotation.

Type:

String

Default Value: '#ffffff'

This property supports the following colors:

customizeTooltip

Customizes the text and appearance of the annotation's tooltip.

Type:

Function

Function parameters:
annotation:

PieChart Annotation

| any

The annotation's configuration object.

Return Value:

Object

The tooltip's text or markup and appearance settings.

Default Value: undefined
Cannot be used in themes.

This property should be assigned a function that returns an object with the following fields:

Field name Description
text The tooltip's text.
html The HTML markup displayed in a tooltip.
The PieChart evaluates the markup. Make sure that it does not contain malicious code. Refer to the following help topic for more information: Potentially Vulnerable API - customizeTooltip.
To use external resources (for example, images) in the markup, specify the size of the area they occupy beforehand.
color The tooltip's color.
fontColor The color of the tooltip's text.
borderColor The color of the tooltip's border.
NOTE
As an alternative to the function’s parameter you can use the this keyword.
See Also

data

A container for custom data.

Type: any

description

Specifies the annotation's description in the tooltip.

Type:

String

Default Value: undefined

font

Specifies the annotation's font properties. Applies to text annotations only.

Selector: dxo-font
Type:

Object

height

Specifies the annotation's height in pixels.

Type:

Number

Default Value: undefined

image

Configures the image to be displayed in the annotation. Applies only if the type is "image".

Selector: dxo-image
Type:

String

|

Object

To display an image, assign its URL to the url property and use the height and width properties to resize the image. Otherwise, assign the URL directly to the image property.

View Demo

location

Specifies an annotation's position on the surface of a specific argument.

Type:

String

Default Value: 'center'
Accepted Values: 'center' | 'edge'

offsetX

Moves the annotation horizontally.

Type:

Number

Default Value: undefined

The number assigned to this property specifies the shift in pixels. A negative number shifts the annotation to the left and a positive number shifts it to the right.

See Also

offsetY

Moves the annotation vertically.

Type:

Number

Default Value: undefined

The number assigned to this property specifies the shift in pixels. A negative number shifts the annotation up and a positive number shifts it down.

See Also

opacity

Specifies the annotation's opacity.

Type:

Number

Default Value: 0.9

This property accepts a value from 0 to 1: 0 makes the annotation transparent; 1 makes it opaque.

paddingLeftRight

Used with paddingTopBottom to generate an empty space around the annotation's text or image (specified in pixels).

Type:

Number

Default Value: 10

paddingTopBottom

Along with paddingLeftRight, generates an empty space around the annotation's text or image; specified in pixels.

Type:

Number

Default Value: 10

series

Anchors the annotation to a series point. Accepts the name of the point's series.

Type:

String

Default Value: undefined

Use this property when the annotation is positioned relative to an argument and the PieChart contains more than one series.

See Also

shadow

Configures the annotation's shadows.

Selector: dxo-shadow
Type:

Object

template

Specifies a custom template for the annotation. Applies only if the type is "custom".

Type:

template

Template Data:

Object

| any

The annotation's configuration object.

Default Name: undefined

text

Specifies the annotation's text. Applies only if the type is "text".

Type:

String

Default Value: undefined
See Also

textOverflow

Specifies what to do with the annotation's text when it overflows the allocated space after applying wordWrap: hide, truncate it and display an ellipsis, or do nothing.

Type:

String

Default Value: 'ellipsis'
Accepted Values: 'ellipsis' | 'hide' | 'none'

tooltipEnabled

Specifies whether the annotation tooltip is enabled.

Type:

Boolean

Default Value: true

A tooltip is a miniature rectangle that appears when a user long-presses an annotation or hovers the mouse pointer over it.

DevExtreme PieChart: Annotation Tooltip

The tooltip displays the contents of the description field or the text or markup returned from the customizeTooltip function. If the description is empty, and customizeTooltip returns nothing, the tooltip does not appear.

Tooltips for annotations and series points have the same appearance as specified in the tooltip object. You can use the annotation's customizeTooltip function to customize the annotation tooltip.

tooltipTemplate

Specifies a custom template for an annotation's tooltip.

Type:

template

Template Data:

PieChart Annotation

| any

The annotation's configuration object.

Default Name: undefined

type

Specifies whether the annotation displays text, an image, or a template. This is a required setting.

Type:

String

Default Value: undefined
Accepted Values: 'text' | 'image' | 'custom'

width

Specifies the annotation's width in pixels.

Type:

Number

Default Value: undefined

wordWrap

Specifies how to wrap the annotation's text if it does not fit into a single line.

Type:

String

Default Value: 'normal'
Accepted Values: 'normal' | 'breakWord' | 'none'

The following modes are available:

  • "normal"
    Text breaks only at allowed breakpoints (for example, a space between two words).

  • "breakWord"
    Words can be broken if there are no available breakpoints in the line.

  • "none"
    Word wrap is disabled.

If the text overflows the container even after word wrap, the UI component applies the textOverflow property.

x

Used with y to position the annotation's center at a specific pixel coordinate. (0, 0) is the upper left corner of the UI component.

Type:

Number

Default Value: undefined

y

Used with x to position the annotation's center at a specific pixel coordinate. (0, 0) is the upper left corner of the UI component.

Type:

Number

Default Value: undefined